Loading...
Searching...
No Matches
ConstArray< TYPE > Class Template Reference

`#include <array.h>`

Inheritance diagram for ConstArray< TYPE >:

## Public Types

typedef TYPE | value_type
typedef int | size_type
typedef TYPE const & | const_reference
typedef TYPE const * | const_iterator
typedef TYPE & | reference
typedef TYPE * | iterator

## Public Member Functions

| ConstArray ()
| ConstArray (value_type const *ptr, size_type sizeArg)
size_type | size () const
bool | empty () const
const_reference | operator[] (int index) const
const_iterator | begin () const
const_iterator | end () const
size_type | FindIndexIn4Tuple (value_type value) const
size_type | FindIndex (value_type value) const

## Protected Attributes

value_type const * | _begin
size_type | _size

## Detailed Description

template<typename TYPE>
class OpenSubdiv::OPENSUBDIV_VERSION::Vtr::ConstArray< TYPE >

Definition at line 53 of file array.h.

## Member Typedef Documentation

## const_iterator

template<typename TYPE>

typedef TYPE const* const_iterator

Definition at line 60 of file array.h.

## const_reference

template<typename TYPE>

typedef TYPE const& const_reference

Definition at line 59 of file array.h.

## iterator

template<typename TYPE>

typedef TYPE* iterator

Definition at line 63 of file array.h.

## reference

template<typename TYPE>

typedef TYPE& reference

Definition at line 62 of file array.h.

## size_type

template<typename TYPE>

typedef int size_type

Definition at line 57 of file array.h.

## value_type

template<typename TYPE>

typedef TYPE value_type

Definition at line 56 of file array.h.

## Constructor & Destructor Documentation

## ConstArray() [1/2]

template<typename TYPE>

ConstArray | ( |  | ) |

inline

Definition at line 67 of file array.h.

## ConstArray() [2/2]

template<typename TYPE>

ConstArray | ( | value_type const * | ptr,
|  | size_type | sizeArg )

inline

Definition at line 69 of file array.h.

## Member Function Documentation

## begin()

template<typename TYPE>

const_iterator begin | ( |  | ) | const

inline

Definition at line 77 of file array.h.

## empty()

template<typename TYPE>

bool empty | ( |  | ) | const

inline

Definition at line 74 of file array.h.

## end()

template<typename TYPE>

const_iterator end | ( |  | ) | const

inline

Definition at line 78 of file array.h.

## FindIndex()

template<typename TYPE>

size_type FindIndex | ( | value_type | value | ) | const

inline

Definition at line 90 of file array.h.

## FindIndexIn4Tuple()

template<typename TYPE>

size_type FindIndexIn4Tuple | ( | value_type | value | ) | const

inline

Definition at line 80 of file array.h.

## operator[]()

template<typename TYPE>

const_reference operator[] | ( | int | index | ) | const

inline

Definition at line 76 of file array.h.

## size()

template<typename TYPE>

size_type size | ( |  | ) | const

inline

Definition at line 72 of file array.h.

## Member Data Documentation

## _begin

template<typename TYPE>

value_type const* _begin

protected

Definition at line 100 of file array.h.

## _size

template<typename TYPE>

size_type _size

protected

Definition at line 101 of file array.h.

The documentation for this class was generated from the following file:

- opensubdiv/vtr/array.h